#include<iostream>
using namespace std;
struct vaga{

    int d;
    int u;

};

struct upit{

    int l, r, x;

};
int main()
{
    int n, m;
    cin >> n >> m;
    vaga nizVaga[n];
    upit nizUpita[m];
    for(int i = 0;i<n;i++)
        cin >> nizVaga[i].d >> nizVaga[i].u;

    for(int i=0;i<m;i++)
        cin >> nizUpita[i].l >> nizUpita[i].r >> nizUpita[i].x;

    for(int i=0;i<m;i++)
    {
        int odg = 0;
        for(int j=nizUpita[i].l;j<=nizUpita[i].r;j++){
            if(nizVaga[j].d<=nizUpita[i].x && nizVaga[j].u >=nizUpita[i].x)
                odg++;

        }
        cout << odg << endl;

    }
    return 0;
}